diff --git CMakeLists.txt CMakeLists.txt
index 4e735a1..55f78bc 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -61,11 +63,11 @@ IF (Qt5Core_FOUND)
         SET(QT_PLATFORM_SPECIFIC_LIBRARIES)
     ENDIF()
 
-    IF(APPLE)
+#     IF(APPLE)
         find_package(Qt5MacExtras REQUIRED)
         include_directories(${Qt5MacExtras_INCLUDE_DIRS})
         set(QT_PLATFORM_SPECIFIC_LIBRARIES ${Qt5MacExtras_LIBRARIES})
-    ENDIF()
+#     ENDIF()
 
     IF(NOT APPLE)
         find_package(Qt5DBus)
@@ -124,7 +126,7 @@ ELSE()
 
     SET(CHARM_MAC_HIGHRES_SUPPORT_ENABLED OFF)
 
-    IF(UNIX AND NOT APPLE)
+    IF(UNIX) # AND NOT APPLE)
         find_package(Qt4 COMPONENTS QtDBus)
         IF (QT_QTDBUS_FOUND)
             set(HAVE_DBUS ON)
@@ -197,8 +199,10 @@ IF( UNIX AND NOT APPLE )
     SET( DOC_INSTALL_DIR share/doc/${Charm_EXECUTABLE} )
 ELSE()
     set( Charm_EXECUTABLE Charm )
-    SET( BIN_INSTALL_DIR . )
-    SET( DOC_INSTALL_DIR . )
+    if(NOT BIN_INSTALL_DIR)
+        SET( BIN_INSTALL_DIR . )
+    endif()
+    SET( DOC_INSTALL_DIR share/doc/${Charm_EXECUTABLE} )
 ENDIF()
 SET( ICONS_DIR "${CMAKE_SOURCE_DIR}/Charm/Icons" )
 
@@ -223,9 +227,9 @@ CONFIGURE_FILE( CharmCMake.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/CharmCMake.h )
 
 SET( LICENSE_FILE "License.txt" )
 SET( README_FILE "ReadMe.txt" )
-IF( NOT APPLE )
+#IF( NOT APPLE )
     INSTALL( FILES "${LICENSE_FILE}" "${README_FILE}" DESTINATION ${DOC_INSTALL_DIR} )
-ENDIF()
+#ENDIF()
 
     # Only support CPack packaging on newer versions of CMake.
 IF( NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.4" )
@@ -252,7 +256,7 @@ IF( NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.4" )
             "${README_FILE}" "Readme"
         )
         SET( CPACK_NSIS_MUI_FINISHPAGE_RUN "${CPACK_NSIS_INSTALLED_ICON_NAME}" )
-    ELSEIF( APPLE )
+    ELSEIF( APPLENATIVE )
         SET( CPACK_GENERATOR "DragNDrop" )
         SET( CPACK_DMG_FORMAT "UDBZ" )
         SET( CPACK_DMG_VOLUME_NAME "Charm" )
diff --git Charm/CMakeLists.txt Charm/CMakeLists.txt
index e11bae3..a9faff9 100644
--- Charm/CMakeLists.txt
+++ Charm/CMakeLists.txt
@@ -180,7 +180,7 @@ IF( WIN32 )
 ENDIF()
 MESSAGE( STATUS "Charm will be installed to ${CMAKE_INSTALL_PREFIX}" )
 
-IF( UNIX AND NOT APPLE )
+IF( UNIX) # AND NOT APPLE )
     SET( XDG_APPS_INSTALL_DIR share/applications )
     INSTALL( FILES charmtimetracker.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
     INSTALL( FILES Icons/Charm-128x128.png DESTINATION share/icons/hicolor/128x128/apps )
@@ -217,8 +217,8 @@ IF( NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.4" )
                  DESTINATION ${BIN_INSTALL_DIR} )
     ENDIF()
 
-    IF( APPLE OR WIN32 )
-        INCLUDE( DeployQt4 )
-        INSTALL_QT4_EXECUTABLE( "${EXECUTABLE}" "qsqlite" )
-    ENDIF()
+#     IF( APPLE OR WIN32 )
+#         INCLUDE( DeployQt4 )
+#         INSTALL_QT4_EXECUTABLE( "${EXECUTABLE}" "qsqlite" )
+#     ENDIF()
 ENDIF()
